package com.huatek.busi.service.impl.dataoutput.impls;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.common.collect.Lists;
import com.huatek.busi.service.impl.dataoutput.helper.DataOutputUtil;
import com.huatek.busi.service.impl.dataoutput.helper.OptExecutor;
import com.huatek.busi.vo.dataoutput.OutputEquipmentVo;

@Component
@OptExecutor(mainEquipmentType = "111", subEquipmentType = DataOutputUtil.RUN_STATUS)
public class TransformerRunStatusExecutor extends AbstractDataOutputExecutor {
    @Override
    protected Map<String, Object> getParams(OutputEquipmentVo vo, LocalDate day) {
        Map<String, Object> params = super.getParams(vo, day);
        params.put("transformerRunStatus", "transformerRunStatus");
        return params;
    }

    @Override
    protected List<String> getKeys() {
        return Lists.newArrayList("jcTime", "oilTemperature", "oilPosition", "coolingEntryPressure",
            "coolingExitPressure");
    }
}
